Package de.pangaea.metadataportal.config

## Class FilterConfig

- java.lang.Object
- - de.pangaea.metadataportal.config.ExpressionConfig
  - - de.pangaea.metadataportal.config.FilterConfig

-     public final class FilterConfig
      extends ExpressionConfig

  A filter config element that filters harvested documents by a XPath expression that returns a `XPathConstants.BOOLEAN` value.
  Author:
    Uwe Schindler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `FilterConfig.FilterType` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `FilterConfig.FilterType` | `type` |

    - ### Fields inherited from class de.pangaea.metadataportal.config.ExpressionConfig

      `xPathExpr, xslt`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FilterConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setTemplate​(Templates xslt)` |
    `void` | `setType​(String v)` | Deprecated.
    `String` | `toString()` |

    - ### Methods inherited from class de.pangaea.metadataportal.config.ExpressionConfig

      `setXPath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### type

          public FilterConfig.FilterType type

  - ### Constructor Detail

    - #### FilterConfig

          public FilterConfig()

  - ### Method Detail

    - #### setType

          @PublicForDigesterUse
          @Deprecated
          public void setType​(String v)

      Deprecated.

    - #### setTemplate

          public void setTemplate​(Templates xslt)

      Overrides:
        `setTemplate` in class `ExpressionConfig`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ExpressionConfig`